profile default_new {

	Sample template for DynaTrax testing
	
	Copyright  Trainsimfiles.com

	Default track style but with scale rail widths

	header {
		#regid may be used for ensuring profiles are approved/registered
		regid=default_new.trainsimfiles.uk

		#profileSet is the track system the profile belongs to
		profileSet=Default demo (with scale rails)

		#profileName is a description of the profile
		profilename=Default track with scale rails

		#url/email for profile issues
		support=http://support.trainsimfiles.com/

		#gauge value, only to be used later for selecting profiles by gauge instead of track set
		gauge=1.435
	}

	#seglimits sets how segmentation of shapes is to occur maximum segment angle, minimum and maximum segment length 
	#followed by (minimum length, maximum length)
	#these force the segmentation to take place with 
	#these parameters are currently hard-coded, but will be enabled to allow user-defined quality of curves/straights 
	maxSegAngle=0.75
	minSegLength=1
	maxSegLength=12.5

	#List of materials to be used for the shape
	#materials: name (filename,mip bias,shader,filter,lighting,alphamode,zbuffer,u_scale,v_scale)
	#u_scale and v_scale are in metres and are the physical distances the texture covers (ie. length / u_scale = u )
	#note: some parameters are based on GMAX materials form
	#eg. zbuffer=test, this makes shadows appear on that surface
	material=BASE (ACleanTrack1.ace,0,BlendATexDiff,LinearMipLinear,OptSpecular0,none,test,0,6.25)	
	material=TRACK (ACleanTrack2.ace,0,BlendATexDiff,LinearMipLinear,OptSpecular0,none,normal,9.528,0)	
	material=RAILTOPS (ACleanTrack2.ace,0,BlendATexDiff,LinearMipLinear,OptSpecular25,none,normal,9.528,0)

	#List of unique points that describe the shape - this avoids having to repeat coordinates in profile lines later on
	points=(-2.5,0.2,0)(2.5,0.2,0)
	points=(-0.7925,0.2,0)(-0.7925,0.325,0)(-0.7175,0.325,0)(-0.7175,0.2,0)
	points=(0.7175,0.2,0)(0.7175,0.325,0)(0.7925,0.325,0)(0.7925,0.2,0)

	#List of UV mapping points for tiling: 0,0 is bottom left of texture
	uvpoints=(-0.1389,0)(0.862,0)
	uvpoints=(0,0.9954)(0,0.9323)(0,0.866)(0,0.769)

	#set number of LOD levels and distances
	#note: half shape length is added to first LOD distance automatically
	#limited to 4 LOD levels in the beta, but should be sufficient for evaluation/testing
	lods=50,400,1000,2000
	degrade=1,2,4,8

	#'list of distinct objects, each object can have 1 material only - though objects can share materials
	#any number of objects may be added, though for performance reasons the fewer the better
	#multi-material objects not yet supported

	object BASE {
		#subobject is used for alpha sorting purposes, though not really require for track
		#a value of 1 is used for UKFS shapes to force sleepers to overwrite the trackbed (avoids sleeper/ballast contention)
		subobject=0

		#the material use for this object, from the list above
		materialName=BASE

		#profile=lod level, (point number,uv number),( ... )
		#point and uv numbers are from the list above, starting at 0
		#all points on one profile line will be welded, for smooth continous surfaces
		#use a profile line to start a new surface
		profile=0,(0,0)(1,1)
		profile=1,(0,0)(1,1)
		profile=2,(0,0)(1,1)
		profile=3,(0,0)(1,1)
	}
	object TRACK {
		#subobject is used for alpha sorting purposes, though not really require for track
		#a value of 1 is used for UKFS shapes to force sleepers to overwrite the trackbed (avoids sleeper/ballast contention)
		subobject=0

		#the material use for this object, from the list above
		materialName=TRACK

		#profile=lod level, (point number,uv number),( ... )
		#point and uv numbers are from the list above, starting at 0
		#all points on one profile line will be welded, for smooth continous surfaces
		#use a profile line to start a new surface

		profile=0,(2,2)(3,3)
		profile=0,(4,3)(5,2)
		profile=0,(6,2)(7,3)
		profile=0,(8,3)(9,2)
		profile=1,(2,2)(3,3)
		profile=1,(4,3)(5,2)
		profile=1,(6,2)(7,3)
		profile=1,(8,3)(9,2)
		profile=2,(2,2)(3,3)
		profile=2,(4,3)(5,2)
		profile=2,(6,2)(7,3)
		profile=2,(8,3)(9,2)
		profile=3,(2,2)(3,3)
		profile=3,(4,3)(5,2)
		profile=4,(6,2)(7,3)
		profile=4,(8,3)(9,2)
	}
	object RAILTOPS {
		#subobject is used for alpha sorting purposes, though not really require for track
		#a value of 1 is used for UKFS shapes to force sleepers to overwrite the trackbed (avoids sleeper/ballast contention)
		subobject=0

		#the material use for this object, from the list above
		materialName=RAILTOPS

		#profile=lod level, (point number,uv number),( ... )
		#point and uv numbers are from the list above, starting at 0
		#all points on one profile line will be welded, for smooth continous surfaces
		#use a profile line to start a new surface

		profile=0,(3,4)(4,5)
		profile=0,(7,4)(8,5)
		profile=1,(3,4)(4,5)
		profile=1,(7,4)(8,5)
		profile=2,(3,4)(4,5)
		profile=2,(7,4)(8,5)
		profile=3,(3,4)(4,5)
		profile=3,(7,4)(8,5)
	}
}