profile scalerail_1t_brg {

	Sample template for DynaTrax testing
	
	Copyright  2015 Digital Rails Corporation

	Default track style but with scale rail widths

	header {
		#regid may be used for ensuring profiles are approved/registered
		regid=scalerail.digital-rails.us

		#profileSet is the track system the profile belongs to
		profileSet=ScaleRail

		#profileName is a description of the profile
		profilename=ScaleRail 1-track bridge

		#url/email for profile issues
		support=http://www.digital-rails.us

		#gauge value, only to be used later for selecting profiles by gauge instead of track set
		gauge=1.435
	}

	#seglimits sets how segmentation of shapes is to occur maximum segment angle, minimum and maximum segment length 
	#followed by (minimum length, maximum length)
	#these force the segmentation to take place with 
	#these parameters are currently hard-coded, but will be enabled to allow user-defined quality of curves/straights 
	maxSegAngle=0.75
	minSegLength=1
	maxSegLength=12.5

	#List of materials to be used for the shape
	#materials: name (filename,mip bias,shader,filter,lighting,alphamode,zbuffer,u_scale,v_scale)
	#u_scale and v_scale are in metres and are the physical distances the texture covers (ie. length / u_scale = u )
	#note: some parameters are based on GMAX materials form
	#eg. zbuffer=test, this makes shadows appear on that surface
	material=Ballast (SR_Track_cBridge1.ace,-1,BlendATexDiff,LinearMipLinear,OptSpecular0,trans,test,0,5.0)	
	material=Rail (SR_Track_w3a.ace,0,TexDiff,LinearMipLinear,OptSpecular0,none,normal,0,5.0)	
	material=Shine (SR_Track_w3a.ace,0,TexDiff,LinearMipLinear,OptSpecular25,none,normal,0,5.0)
	material=Ties (SR_Track_cBridge2.ace,0,BlendATexDiff,MipLinear,OptSpecular0,none,test,0,5.0)
	material=Tie_Plates (SR_Track_w2a.ace,0,BlendATexDiff,LinearMipLinear,OptSpecular0,none,normal,0,5.0)
	material=Guard (SR_Track_c6.ace,-1,TexDiff,LinearMipLinear,OptSpecular0,none,normal,0,5.0)

	#List of unique points that describe the shape - this avoids having to repeat coordinates in profile lines later on
	points=(-2.4384,-0.2,0)(-1.4478,0.16,0)(1.4478,0.16,0)(2.4384,-0.2,0)
	points=(-1.2954,0.16,0)(-1.2954,0.1822,0)(1.2954,0.1822,0)(1.2954,0.16,0)
	points=(-0.85,0.19,0)(-0.65,0.19,0)(0.65,0.19,0)(0.85,0.19,0)
	points=(-0.7826,0.305,0)(-0.7826,0.325,0)(-0.7175,0.325,0)(-0.7175,0.305,0)
	points=(0.7175,0.305,0)(0.7175,0.325,0)(0.7826,0.325,0)(0.7826,0.305,0)
	points=(-0.8152,0.1822,0)(-0.7614,0.2,0)(-0.7572,0.3150,0)
	points=(-0.7429,0.3150,0)(-0.7387,0.2,0)(-0.685,0.1822,0)
	points=(0.685,0.1822,0)(0.7387,0.2,0)(0.7429,0.3150,0)
	points=(0.7572,0.3150,0)(0.7614,0.2,0)(0.8152,0.1822,0)
	#guard rail
	points=(0.426,0.182,0)(0.474,0.198,0)(0.478,0.287,0)(0.456,0.293,0)(0.456,0.311,0)
	points=(0.514,0.311,0)(0.514,0.293,0)(0.491,0.287,0)(0.495,0.198,0)(0.543,0.182,0)

	points=(-0.543,0.182,0)(-0.495,0.198,0)(-0.491,0.287,0)(-0.514,0.293,0)(-0.514,0.311,0)
	points=(-0.456,0.311,0)(-0.456,0.293,0)(-0.478,0.287,0)(-0.475,0.198,0)(-0.426,0.182,0)

	#List of UV mapping points for tiling: 0,0 is bottom left of texture
	uvpoints=(0,0)(0.2034,0)(0.7968,0)(1,0)
	uvpoints=(0.2151,0)(0.2345,0)(0.7655,0)(0.7856,0)
	uvpoints=(0.0486,0)(0.1546,0)(0.0486,0)(0.1546,0)
	uvpoints=(0.365,0)(0.43,0)(0.57,0)(0.635,0)
	uvpoints=(0.365,0)(0.43,0)(0.57,0)(0.635,0)
	uvpoints=(1,0)(0.84,0)(0.65,0)
	uvpoints=(0.35,0)(0.16,0)(0,0)
	uvpoints=(1,0)(0.84,0)(0.65,0)
	uvpoints=(0.35,0)(0.16,0)(0,0)
	#guard rail
	uvpoints=(0,1)(0.16,1)(0.35,1)(0.365,1)(0.43,1)
	uvpoints=(0.57,1)(0.635,1)(0.65,1)(0.84,1)(1,1)

	#set number of LOD levels and distances
	#note: half shape length is added to first LOD distance automatically
	#limited to 4 LOD levels in the beta, but should be sufficient for evaluation/testing
	lods=700,1200,2000
	degrade=1,2,4

	#'list of distinct objects, each object can have 1 material only - though objects can share materials
	#any number of objects may be added, though for performance reasons the fewer the better
	#multi-material objects not yet supported

	object Guard {
		subobject=0
		materialName=Guard
		profile=0,(32,32)(33,33)(34,34)(35,35)(36,36)
		profile=0,(36,36)(37,37)
		profile=0,(37,37)(38,38)(39,39)(40,40)(41,41)
		profile=0,(42,32)(43,33)(44,34)(45,35)(46,36)
		profile=0,(46,36)(47,37)
		profile=0,(47,37)(48,38)(49,39)(50,40)(51,41)
		profile=1,(32,32)(36,36)(37,37)(41,41)
		profile=1,(42,32)(46,36)(47,37)(51,41)
	}
	object Ballast {
		#subobject is used for alpha sorting purposes, though not really require for track
		#a value of 1 is used for UKFS shapes to force sleepers to overwrite the trackbed (avoids sleeper/ballast contention)
		subobject=0

		#the material use for this object, from the list above
		materialName=Ballast

		#profile=lod level, (point number,uv number),( ... )
		#point and uv numbers are from the list above, starting at 0
		#all points on one profile line will be welded, for smooth continous surfaces
		#use a profile line to start a new surface
		profile=0,(0,0)(1,1)(2,2)(3,3)
		profile=1,(0,0)(1,1)(2,2)(3,3)
		profile=2,(0,0)(1,1)(2,2)(3,3)
	}
	Object Ties {
		subobject=0
		materialName=Ties
		profile=0,(4,4)(5,5)
		profile=0,(5,5)(6,6)
		profile=0,(6,6)(7,7)
		profile=1,(5,5)(6,6)
	}
	Object Rail_Tops {
		subobject=0
		materialName=Shine
		profile=0,(12,12)(13,13)
		profile=0,(13,13)(14,14)
		profile=0,(14,14)(15,15)
		profile=0,(16,16)(17,17)
		profile=0,(17,17)(18,18)
		profile=0,(18,18)(19,19)
	}
	Object Rail {
		subobject=0
		materialName=Rail
		profile=0,(20,20)(21,21)(22,22)
		profile=0,(23,23)(24,24)(25,25)
		profile=0,(26,26)(27,27)(28,28)
		profile=0,(29,29)(30,30)(31,31)
		profile=1,(20,20)(22,22)
		profile=1,(13,13)(14,14)
		profile=1,(23,23)(25,25)
		profile=1,(26,26)(28,28)
		profile=1,(17,17)(18,18)
		profile=1,(29,29)(31,31)
	}
	Object Tie_Plates {
		subobject=0
		materialName=Tie_Plates
		profile=0,(8,8)(9,9)
		profile=0,(10,10)(11,11)
	}
}