profile scalerail_2tw {

	Sample template for DynaTrax testing
	
	Copyright  2015 Digital Rails Corporation

	Default track style but with scale rail widths

	header {
		#regid may be used for ensuring profiles are approved/registered
		regid=default_new.trainsimfiles.uk

		#profileSet is the track system the profile belongs to
		profileSet=ScaleRail

		#profileName is a description of the profile
		profilename=ScaleRail 2-track wood

		#url/email for profile issues
		support=http://www.digital-rails.us

		#gauge value, only to be used later for selecting profiles by gauge instead of track set
		gauge=1.435
	}

	#seglimits sets how segmentation of shapes is to occur maximum segment angle, minimum and maximum segment length 
	#followed by (minimum length, maximum length)
	#these force the segmentation to take place with 
	#these parameters are currently hard-coded, but will be enabled to allow user-defined quality of curves/straights 
	maxSegAngle=0.75
	minSegLength=1
	maxSegLength=12.5

	#List of materials to be used for the shape
	#materials: name (filename,mip bias,shader,filter,lighting,alphamode,zbuffer,u_scale,v_scale)
	#u_scale and v_scale are in metres and are the physical distances the texture covers (ie. length / u_scale = u )
	#note: some parameters are based on GMAX materials form
	#eg. zbuffer=test, this makes shadows appear on that surface
	material=Ballast (SR_Track_w1a.ace,-1,BlendATexDiff,LinearMipLinear,OptSpecular0,trans,test,0,5.0)	
	material=Rail (SR_Track_w3a.ace,0,TexDiff,LinearMipLinear,OptSpecular0,none,normal,0,5.0)	
	material=Shine (SR_Track_w3a.ace,0,TexDiff,LinearMipLinear,OptSpecular25,none,normal,0,5.0)
	material=Ties (SR_Track_w2a.ace,0,BlendATexDiff,MipLinear,OptSpecular0,none,test,0,5.0)
	material=Tie_Plates (SR_Track_w2a.ace,0,BlendATexDiff,LinearMipLinear,OptSpecular0,none,normal,0,5.0)

	#List of unique points that describe the shape - this avoids having to repeat coordinates in profile lines later on
	points=(-4.9309,-0.2,0)(-3.9403,0.16,0)(-1.0447,0.16,0)(-0.0541,-0.2,0)
	points=(-3.7879,0.16,0)(-3.7879,0.1822,0)(-1.1971,0.1822,0)(-1.1971,0.16,0)
	points=(-3.3425,0.19,0)(-3.1425,0.19,0)(-1.8425,0.19,0)(-1.6425,0.19,0)
	points=(-3.2751,0.305,0)(-3.2751,0.325,0)(-3.21,0.325,0)(-3.21,0.305,0)
	points=(-1.775,0.305,0)(-1.775,0.325,0)(-1.7099,0.325,0)(-1.7099,0.305,0)
	points=(-3.3077,0.1822,0)(-3.2539,0.2,0)(-3.2497,0.3150,0)
	points=(-3.2354,0.3150,0)(-3.2312,0.2,0)(-3.1775,0.1822,0)
	points=(-1.8075,0.1822,0)(-1.7538,0.2,0)(-1.7496,0.3150,0)
	points=(-1.7353,0.3150,0)(-1.7311,0.2,0)(-1.6773,0.1822,0)

	points=(0.0541,-0.2,0)(1.0447,0.16,0)(3.9403,0.16,0)(4.9309,-0.2,0)
	points=(1.1971,0.16,0)(1.1971,0.1822,0)(3.7879,0.1822,0)(3.7879,0.16,0)
	points=(1.6425,0.19,0)(1.8425,0.19,0)(3.1425,0.19,0)(3.3425,0.19,0)
	points=(1.7099,0.305,0)(1.7099,0.325,0)(1.775,0.325,0)(1.775,0.305,0)
	points=(3.21,0.305,0)(3.21,0.325,0)(3.2751,0.325,0)(3.2751,0.305,0)
	points=(1.6773,0.1822,0)(1.7311,0.2,0)(1.7353,0.3150,0)
	points=(1.7496,0.3150,0)(1.7538,0.2,0)(1.8075,0.1822,0)
	points=(3.1775,0.1822,0)(3.2312,0.2,0)(3.2354,0.3150,0)
	points=(3.2497,0.3150,0)(3.2539,0.2,0)(3.3077,0.1822,0)

	#List of UV mapping points for tiling: 0,0 is bottom left of texture
	uvpoints=(0,0)(0.2034,0)(0.7968,0)(1,0)
	uvpoints=(0.2151,0)(0.2345,0)(0.7655,0)(0.7856,0)
	uvpoints=(0.0486,0)(0.1546,0)(0.0486,0)(0.1546,0)
	uvpoints=(0.365,0)(0.43,0)(0.57,0)(0.635,0)
	uvpoints=(0.365,0)(0.43,0)(0.57,0)(0.635,0)
	uvpoints=(1,0)(0.84,0)(0.65,0)
	uvpoints=(0.35,0)(0.16,0)(0,0)
	uvpoints=(1,0)(0.84,0)(0.65,0)
	uvpoints=(0.35,0)(0.16,0)(0,0)

	#set number of LOD levels and distances
	#note: half shape length is added to first LOD distance automatically
	#limited to 4 LOD levels in the beta, but should be sufficient for evaluation/testing
	lods=700,1200,2000
	degrade=1,2,4

	#'list of distinct objects, each object can have 1 material only - though objects can share materials
	#any number of objects may be added, though for performance reasons the fewer the better
	#multi-material objects not yet supported

	object Ballast {
		#subobject is used for alpha sorting purposes, though not really require for track
		#a value of 1 is used for UKFS shapes to force sleepers to overwrite the trackbed (avoids sleeper/ballast contention)
		subobject=0

		#the material use for this object, from the list above
		materialName=Ballast

		#profile=lod level, (point number,uv number),( ... )
		#point and uv numbers are from the list above, starting at 0
		#all points on one profile line will be welded, for smooth continous surfaces
		#use a profile line to start a new surface
		profile=0,(0,0)(1,1)(2,2)(3,3)
		profile=0,(32,0)(33,1)(34,2)(35,3)
		profile=1,(0,0)(1,1)(2,2)(3,3)
		profile=1,(32,0)(33,1)(34,2)(35,3)
		profile=2,(0,0)(1,1)(2,2)(3,3)
		profile=2,(32,0)(33,1)(34,2)(35,3)
	}
	Object Ties {
		subobject=0
		materialName=Ties
		profile=0,(4,4)(5,5)
		profile=0,(5,5)(6,6)
		profile=0,(6,6)(7,7)
		profile=0,(36,4)(37,5)
		profile=0,(37,5)(38,6)
		profile=0,(38,6)(39,7)
		profile=1,(5,5)(6,6)
		profile=1,(37,5)(38,6)
	}
	Object Rail_Tops {
		subobject=0
		materialName=Shine
		profile=0,(12,12)(13,13)
		profile=0,(13,13)(14,14)
		profile=0,(14,14)(15,15)
		profile=0,(16,16)(17,17)
		profile=0,(17,17)(18,18)
		profile=0,(18,18)(19,19)
		profile=0,(44,12)(45,13)
		profile=0,(45,13)(46,14)
		profile=0,(46,14)(47,15)
		profile=0,(48,16)(49,17)
		profile=0,(49,17)(50,18)
		profile=0,(50,18)(51,19)
	}
	Object Rail {
		subobject=0
		materialName=Rail
		profile=0,(20,20)(21,21)(22,22)
		profile=0,(23,23)(24,24)(25,25)
		profile=0,(26,26)(27,27)(28,28)
		profile=0,(29,29)(30,30)(31,31)
		profile=0,(52,20)(53,21)(54,22)
		profile=0,(55,23)(56,24)(57,25)
		profile=0,(58,26)(59,27)(60,28)
		profile=0,(61,29)(62,30)(63,31)
		profile=1,(20,20)(22,22)
		profile=1,(13,13)(14,14)
		profile=1,(23,23)(25,25)
		profile=1,(26,26)(28,28)
		profile=1,(17,17)(18,18)
		profile=1,(29,29)(31,31)
		profile=1,(52,20)(54,22)
		profile=1,(45,13)(46,14)
		profile=1,(55,23)(57,25)
		profile=1,(58,26)(60,28)
		profile=1,(49,17)(50,18)
		profile=1,(61,29)(63,31)
	}
	Object Tie_Plates {
		subobject=0
		materialName=Tie_Plates
		profile=0,(8,8)(9,9)
		profile=0,(10,10)(11,11)
		profile=0,(40,8)(41,9)
		profile=0,(42,10)(43,11)
	}
}